package com.patzn.lims.excel.eto;

import com.patzn.lims.frame.enums.ProblemImproveEnum;
import com.patzn.poibox.annotations.Column;

public class LmsFrameProblemApproveETO {
    @Column(name = "序号")
    private String sn;

    @Column(name = "状态")
    private ProblemImproveEnum status;


    @Column(name = "问题")
    private String problem;

    @Column(name = "纠正/预防措施")
    private String measures;

    @Column(name = "截止日期")
    private String closingDate;

    @Column(name = "编制人")
    private String compactor;


    @Column(name = "编制日期")
    private String compilateDate;

    @Column(name = "负责人")
    private String charger;

    @Column(name = "检查人")
    private String checker;

    @Column(name = "备注")
    private String remark;

    public String getSn() {
        return sn;
    }
    @Column(name = "状态(中文)")
    private String enStatus;
    public void setSn(String sn) {
        this.sn = sn;
    }





    public ProblemImproveEnum getStatus() {
        return status;
    }

    public void setStatus(ProblemImproveEnum status) {
        this.status = status;
    }

    public String getEnStatus() {
        return enStatus;
    }

    public void setEnStatus(String enStatus) {
        this.enStatus = enStatus;
    }

    public String getProblem() {
        return problem;
    }

    public void setProblem(String problem) {
        this.problem = problem;
    }

    public String getMeasures() {
        return measures;
    }

    public void setMeasures(String measures) {
        this.measures = measures;
    }

    public String getClosingDate() {
        return closingDate;
    }

    public void setClosingDate(String closingDate) {
        this.closingDate = closingDate;
    }

    public String getCompactor() {
        return compactor;
    }

    public void setCompactor(String compactor) {
        this.compactor = compactor;
    }

    public String getCompilateDate() {
        return compilateDate;
    }

    public void setCompilateDate(String compilateDate) {
        this.compilateDate = compilateDate;
    }

    public String getCharger() {
        return charger;
    }

    public void setCharger(String charger) {
        this.charger = charger;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
